commit:     dca8025bffc3288ab37975c413a35e1dadc5d0b2
Author:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 17 05:26:59 2016 +0000
Commit:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
CommitDate: Sun Jul 17 05:45:13 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dca8025b

sys-process/audit: bump to 2.6.4 bug 588734

Package-Manager: portage-2.2.28

 sys-process/audit/Manifest           |   1 +
 sys-process/audit/audit-2.6.4.ebuild | 223 +++++++++++++++++++++++++++++++++++
 2 files changed, 224 insertions(+)

diff --git a/sys-process/audit/Manifest b/sys-process/audit/Manifest
index e56056c..1f324b6 100644
--- a/sys-process/audit/Manifest
+++ b/sys-process/audit/Manifest
@@ -5,3 +5,4 @@ DIST audit-2.2.2.tar.gz 907066 SHA256 
8bc2b45a5f08f5df6cebcd5543f24b7e68e28b64da
 DIST audit-2.4.1.tar.gz 942147 SHA256 
059346fa0e922faf4dcc054382b21f4845cd8c4942e82cfd0d4cd52bd2b03026 SHA512 
4ca29ee2c784861f75f9e05f5c4dfc3d3ebb9d51e454e8a069ef4d08db3754fb19189714935351e70b26ed44347a266ae6c31e68361d5e9efd89f657f91dbd50
 WHIRLPOOL 
49ecfdd2363eb8bcf25d40b36bf228c8bd31611804b284dde004d42a250a39c387bd0abff223cf4041f62805d5bb189a19375f5806385344ca219d823d267f2e
 DIST audit-2.4.3.tar.gz 998974 SHA256 
9c914704fecc602e143e37152f3efbab2469692684c1a8cc1b801c1b49c7abc6 SHA512 
2bbaa11ed5e2d8138711df325ec1997c4eb955123699fd330b5272b7f3475ca61c9753e1c103abfc9c49e1fc8aaf52dbd55545e3f1874214979ddece64ad79aa
 WHIRLPOOL 
1a0c0a273fddc49d15322a2423d4038488738d6597d0641182befab91646355bbee393a5d09d446dc4cf2f4579dd7ea99928cadd77bc72c355db0a10d4964da5
 DIST audit-2.4.4.tar.gz 1004024 SHA256 
25f57f465f3230d7b1166b615ffd6748818a3dc225d0e8b396c5b2e951674e23 SHA512 
752fa75fdf3406c0a61b57d05cf048e2b79c48589d881a231cb410c8b6031ec50c56b694c7f545c8d78000d4969933cb965016ef5b4a54a9391ad3ea6a55ee40
 WHIRLPOOL 
3656d6610409f5d2097b8d145c81cfb16104460d1eb14718315aa04d101cbac9952f6d168225bf768eb0b3786a1fdbe26798c0980d729a96c82891ca1720d0f2
+DIST audit-2.6.4.tar.gz 1078677 SHA256 
b5a79cecd9593c368c9e42d5af72fcd14f046676657e906970b6c4a1aa5d06c7 SHA512 
69b5d3987d2b8b189d1242fde639af3d7d366e901733133e47ee71223caf73aa7da40b7811298f0af861969b0ab482c5ef9830b711bdd15bd5f4d0ebc88a1224
 WHIRLPOOL 
bda2f7bb754620b003c9c7df2e29d169e0421a9f0a1cf11396539fc3cae1d3907dc4265c3941e24a30eb206032a894989e74b803f2c4a7558057b879c41b2642

diff --git a/sys-process/audit/audit-2.6.4.ebuild 
b/sys-process/audit/audit-2.6.4.ebuild
new file mode 100644
index 0000000..80eb0b9
--- /dev/null
+++ b/sys-process/audit/audit-2.6.4.ebuild
@@ -0,0 +1,223 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} )
+
+inherit autotools multilib multilib-minimal toolchain-funcs python-r1 
linux-info systemd
+
+DESCRIPTION="Userspace utilities for storing and processing auditing records"
+HOMEPAGE="https://people.redhat.com/sgrubb/audit/";
+SRC_URI="https://people.redhat.com/sgrubb/audit/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86"
+IUSE="ldap python"
+# Testcases are pretty useless as they are built for RedHat users/groups and 
kernels.
+RESTRICT="test"
+
+RDEPEND="ldap? ( net-nds/openldap )
+               sys-libs/libcap-ng"
+DEPEND="${RDEPEND}
+               >=sys-kernel/linux-headers-2.6.34
+               python? (
+                       ${PYTHON_DEPS}
+                       dev-lang/swig:0
+               )"
+# Do not use os-headers as this is linux specific
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+CONFIG_CHECK="~AUDIT"
+
+pkg_setup() {
+       linux-info_pkg_setup
+}
+
+src_prepare() {
+       eapply_user
+
+       # Do not build GUI tools
+       sed -i \
+               -e '/AC_CONFIG_SUBDIRS.*system-config-audit/d' \
+               "${S}"/configure.ac || die
+       sed -i \
+               -e 's,system-config-audit,,g' \
+               "${S}"/Makefile.am || die
+       rm -rf "${S}"/system-config-audit
+
+       if ! use ldap; then
+               sed -i \
+                       -e 
'/^AC_OUTPUT/s,audisp/plugins/zos-remote/Makefile,,g' \
+                       "${S}"/configure.ac || die
+               sed -i \
+                       -e '/^SUBDIRS/s,zos-remote,,g' \
+                       "${S}"/audisp/plugins/Makefile.am || die
+       fi
+
+       # Don't build static version of Python module.
+       eapply "${FILESDIR}"/${PN}-2.4.3-python.patch
+
+       # glibc/kernel upstreams suck with both defining ia64_fpreg
+       # This patch is a horribly workaround that is only valid as long as you
+       # don't need the OTHER definitions in fpu.h.
+       eapply "${FILESDIR}"/${PN}-2.1.3-ia64-compile-fix.patch
+
+       # there is no --without-golang conf option
+       sed -e "/^SUBDIRS =/s/ @gobind_dir@//" -i bindings/Makefile.am || die
+
+       # Regenerate autotooling
+       eautoreconf
+}
+
+multilib_src_configure() {
+       local ECONF_SOURCE=${S}
+       econf \
+               --sbindir=/sbin \
+               --enable-systemd \
+               --without-python \
+               --without-python3
+
+       if multilib_is_native_abi; then
+               python_configure() {
+                       mkdir -p "${BUILD_DIR}" || die
+                       cd "${BUILD_DIR}" || die
+
+                       if python_is_python3; then
+                               econf --without-python --with-python3
+                       else
+                               econf --with-python --without-python3
+                       fi
+               }
+
+               use python && python_foreach_impl python_configure
+       fi
+}
+
+multilib_src_compile() {
+       if multilib_is_native_abi; then
+               default
+
+               python_compile() {
+                       local pysuffix pydef
+                       if python_is_python3; then
+                               pysuffix=3
+                               pydef='USE_PYTHON3=true'
+                       else
+                               pysuffix=2
+                               pydef='HAVE_PYTHON=true'
+                       fi
+
+                       emake -C "${BUILD_DIR}"/bindings/swig \
+                               VPATH="${native_build}/lib" \
+                               LIBS="${native_build}/lib/libaudit.la" \
+                               
_audit_la_LIBADD="${native_build}/lib/libaudit.la" \
+                               _audit_la_DEPENDENCIES="${S}/lib/libaudit.h 
${native_build}/lib/libaudit.la" \
+                               ${pydef}
+                       emake -C 
"${BUILD_DIR}"/bindings/python/python${pysuffix} \
+                               
VPATH="${S}/bindings/python/python${pysuffix}:${native_build}/bindings/python/python${pysuffix}"
 \
+                               
auparse_la_LIBADD="${native_build}/auparse/libauparse.la 
${native_build}/lib/libaudit.la" \
+                               ${pydef}
+               }
+
+               local native_build="${BUILD_DIR}"
+               use python && python_foreach_impl python_compile
+       else
+               emake -C lib
+               emake -C auparse
+       fi
+}
+
+multilib_src_install() {
+       if multilib_is_native_abi; then
+               emake DESTDIR="${D}" initdir="$(systemd_get_systemunitdir)" 
install
+
+               python_install() {
+                       local pysuffix pydef
+                       if python_is_python3; then
+                               pysuffix=3
+                               pydef='USE_PYTHON3=true'
+                       else
+                               pysuffix=2
+                               pydef='HAVE_PYTHON=true'
+                       fi
+
+                       emake -C "${BUILD_DIR}"/bindings/swig \
+                               VPATH="${native_build}/lib" \
+                               LIBS="${native_build}/lib/libaudit.la" \
+                               
_audit_la_LIBADD="${native_build}/lib/libaudit.la" \
+                               _audit_la_DEPENDENCIES="${S}/lib/libaudit.h 
${native_build}/lib/libaudit.la" \
+                               ${pydef} \
+                               DESTDIR="${D}" install
+                       emake -C 
"${BUILD_DIR}"/bindings/python/python${pysuffix} \
+                               
VPATH="${S}/bindings/python/python${pysuffix}:${native_build}/bindings/python/python${pysuffix}"
 \
+                               
auparse_la_LIBADD="${native_build}/auparse/libauparse.la 
${native_build}/lib/libaudit.la" \
+                               ${pydef} \
+                               DESTDIR="${D}" install
+               }
+
+               local native_build=${BUILD_DIR}
+               use python && python_foreach_impl python_install
+
+               # things like shadow use this so we need to be in /
+               gen_usr_ldscript -a audit auparse
+       else
+               emake -C lib DESTDIR="${D}" install
+               emake -C auparse DESTDIR="${D}" install
+       fi
+}
+
+multilib_src_install_all() {
+       dodoc AUTHORS ChangeLog README* THANKS TODO
+       docinto contrib
+       dodoc contrib/{avc_snap,skeleton.c}
+       docinto contrib/plugin
+       dodoc contrib/plugin/*
+       docinto rules
+       dodoc rules/*
+
+       newinitd "${FILESDIR}"/auditd-init.d-2.4.3 auditd
+       newconfd "${FILESDIR}"/auditd-conf.d-2.1.3 auditd
+
+       fperms 644 "$(systemd_get_systemunitdir)"/auditd.service # 556436
+
+       [ -f "${D}"/sbin/audisp-remote ] && \
+       dodir /usr/sbin && \
+       mv "${D}"/{sbin,usr/sbin}/audisp-remote || die
+
+       # Gentoo rules
+       insinto /etc/audit/
+       newins "${FILESDIR}"/audit.rules-2.1.3 audit.rules
+       doins "${FILESDIR}"/audit.rules.stop*
+
+       # audit logs go here
+       keepdir /var/log/audit/
+
+       # Security
+       lockdown_perms "${D}"
+
+       prune_libtool_files --modules
+}
+
+pkg_preinst() {
+       # Preserve from the audit-1 series
+       preserve_old_lib /$(get_libdir)/libaudit.so.0
+}
+
+pkg_postinst() {
+       lockdown_perms "${ROOT}"
+       # Preserve from the audit-1 series
+       preserve_old_lib_notify /$(get_libdir)/libaudit.so.0
+}
+
+lockdown_perms() {
+       # upstream wants these to have restrictive perms
+       # should not || die, maybe not all paths exist
+       basedir="$1"
+       chmod 0750 "${basedir}"/sbin/au{ditctl,report,dispd,ditd,search,trace} 
2>/dev/null
+       chmod 0750 "${basedir}"/var/log/audit/ 2>/dev/null
+       chmod 0640 "${basedir}"/etc/{audit/,}{auditd.conf,audit.rules*} 
2>/dev/null
+}

Reply via email to